CFPRIME ZILFLW                                                          ZILFLW      1
C***********************************************************************RIGHTE      1
C*                                                                     *RIGHTE      2
C*        Extended Transient-Midterm Stability Program (ETMSP)         *RIGHTE      3
C*        ====================================================         *RIGHTE      4
C*                                                                     *RIGHTE      5
C*       Copyright (C) (1993) Electric Power Research Institute        *RIGHTE      6
C*                                                                     *RIGHTE      7
C* EPRI reserves all rights in the software and associated             *RIGHTE      8
C* documentation as delivered. The software and its associated         *RIGHTE      9
C* documention or any portion thereof may not be reproduced in any form*RIGHTE     10
C* whatsoever without the consent of EPRI, except as explicity provided*RIGHTE     11
C* for by license. Licensee shall submit a detailed description to EPRI*RIGHTE     12
C* of any changes or modifications to the software within two (2)      *RIGHTE     13
C* months after such changes or modifications are made. At EPRI's sole *RIGHTE     14
C* discretion, the software, as changed or modified, shall be given a  *RIGHTE     15
C* new designation sufficiently different from its then current        *RIGHTE     16
C* designation as to prevent mistake,confusion, or deception as between*RIGHTE     17
C* the current software as changed or modified.                        *RIGHTE     18
C*                                                                     *RIGHTE     19
C* A license under EPRI's rights in the software can be obtained       *RIGHTE     20
C* directly from EPRI.                                                 *RIGHTE     21
C*                                                                     *RIGHTE     22
C* This program and supporting materials may be independently available*RIGHTE     23
C* from Electric Power Software centre (EPSC) for an appropriate       *RIGHTE     24
C* distribution fee. The EPSC is a service of                          *RIGHTE     25
C*                                                                     *RIGHTE     26
C*                    Power Computing Company                          *RIGHTE     27
C*                    1930 Hi Line                                     *RIGHTE     28
C*                    Dallas, Tx 75207                                 *RIGHTE     29
C*                                                                     *RIGHTE     30
C* NEITHER EPRI, ANY MEMBER OF EPRI, NOR ANY PERSON OR  ORGANIZATION   *RIGHTE     31
C* ACTING ON BEHAVE OF THEM:                                           *RIGHTE     32
C*                                                                     *RIGHTE     33
C* 1. MAKE ANY WARRANTY OR REPRESENTATION WHATSOEVER, EXPRESS OR       *RIGHTE     34
C*    IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY OR FITNESS OR *RIGHTE     35
C*    ANY PURPOSE WITH RESPECT TO THE SOFTWARE OR ITS ASSOCIATED       *RIGHTE     36
C*    DOCUMENTATION; OR                                                *RIGHTE     37
C*                                                                     *RIGHTE     38
C* 2. ASSUMES ANY LIABILITY WHATSOEVER WITH RESPECT TO ANY USE OF THE  *RIGHTE     39
C*    SOFTWARE OR ITS ASSOCIATED DOCUMENTATION OR ANY PORTION THEREOF  *RIGHTE     40
C*    OR WITH RESPECT TO ANY DAMAGES WHICH MAY RESULT FROM SUCH USE.   *RIGHTE     41
C*                                                                     *RIGHTE     42
C* THIS NOTICE MAY NOT BE REMOVED FROM THE SOFTWARE BY ANY USER        *RIGHTE     43
C* THEREOF.                                                            *RIGHTE     44
C*                                                                     *RIGHTE     45
C***********************************************************************RIGHTE     46
      SUBROUTINE ZILFLW(IPBNOF,ILIN12,PFR,QFR,CMAGFR,ANGFR,RFR,XFR)     ZILFLW      3
CD                                                                      ZILFLW      4
CD    TO CALCULATE THE ZERO IMPEDANCE LINE FLOW.                        ZILFLW      5
CD                                                                      ZILFLW      6
C                                                                       ZILFLW      7
      INCLUDE 'PARX.INS'                                                ZILFLW      8
      INCLUDE 'CNFLAG.INS'                                              ZILFLW      9
      INCLUDE 'CNPT.INS'                                                ZILFLW     10
      INCLUDE 'CNIPTR.INS'                                              ZILFLW     11
      INCLUDE 'CNSTN.INS'                                               ZILFLW     12
      INCLUDE 'CNVOLT.INS'                                              ZILFLW     13
      INCLUDE 'CNB5.INS'                                                ZILFLW     14
      INCLUDE 'CNB6.INS'                                                ZILFLW     15
      INCLUDE 'CNLFDA.INS'                                              ZILFLW     16
C      INCLUDE 'CNLKN1.INS/LIST'                                        ZILFLW     17
      INCLUDE 'CNSPDI.INS'                                              ZILFLW     18
      INCLUDE 'CNBRAU.INS'                                              ZILFLW     19
      INCLUDE 'CNBRAL.INS'                                              ZILFLW     20
      INCLUDE 'CNUNIT.INS'                                              ZILFLW     21
      INCLUDE 'CNMDAT.INS'                                              ZILFLW     22
      INCLUDE 'CNMPAR.INS'                                              ZILFLW     23
C                                                                       ZILFLW     24
      INCLUDE 'GRDC01.INS'                                              ZILFLW     25
      INCLUDE 'GRDC03.INS'                                              ZILFLW     26
      INCLUDE 'UDCF.INS'                                                ZILFLW     27
      INCLUDE 'GRPDCS.INS'                                              ZILFLW     28
      INCLUDE 'CNMON.INS'                                               ZILFLW     29
      INCLUDE 'CNMYVA.INS'                                              ZILFLW     30
      INCLUDE 'CNYVAR.INS'                                              ZILFLW     31
      INCLUDE 'CNMASK.INS'                                              ZILFLW     32
C                                                                       ZILFLW     33
C                                                                       ZILFLW     34
C     IF NPL < 32678 INDEX AND LORD CAN BE HALFWORD ARRAY               ZILFLW     35
C                                                                       ZILFLW     36
      INTEGER  IFELIX(NB),ITBUS(NB)                                     ZILFLW     37
      EQUIVALENCE (BUDAT(1),IFELIX(1)),(BUDAT(NB+1),ITBUS(1))           ZILFLW     38
C                                                                       ZILFLW     39
      LDEB=(JDEB(297).NE.0)                                             ZILFLW     40
C                                                                       ZILFLW     41
         PDSUM=0.0                                                      ZILFLW     42
         QDSUM=0.0                                                      ZILFLW     43
         NLPLL=MLFTB(ILIN12-6)                                          ZILFLW     44
         NPBUS=MLFTB(ILIN12-5)                                          ZILFLW     45
C                                                                       ZILFLW     46
         IPO=ILIN12-5                                                   ZILFLW     47
         ICONT=1                                                        ZILFLW     48
  500    IPO=IPO+1                                                      ZILFLW     49
         KPBUS=MLFTB(IPO)                                               ZILFLW     50
         K=NZEVB(KPBUS)                                                 ZILFLW     51
         IF (K.LT.IPNODX) THEN                                          ZILFLW     52
            KSET=1                                                      ZILFLW     53
         ELSE IF(K.LT.ICNODX) THEN                                      ZILFLW     54
            KSET=2                                                      ZILFLW     55
         ELSE IF(K.LT.IMNODX) THEN                                      ZILFLW     56
            KSET=3                                                      ZILFLW     57
         ELSE IF(K.LT.ISVNOX) THEN                                      ZILFLW     58
            KSET=4                                                      ZILFLW     59
         ELSE IF(K.LT.IRANOX) THEN                                      ZILFLW     60
            KSET=5                                                      ZILFLW     61
         ELSE IF(K.LT.ITPNOX) THEN                                      ZILFLW     62
            KSET=6                                                      ZILFLW     63
         ELSE IF(K.LT.IDBNOX) THEN                                      ZILFLW     64
            KSET=7                                                      ZILFLW     65
         ELSE IF(K.LT.IDCNOX) THEN                                      ZILFLW     66
            KSET=8                                                      ZILFLW     67
         ELSE IF(K.LT.ILNODX) THEN                                      ZILFLW     68
            KSET=9                                                      ZILFLW     69
         ELSE IF(K.LT.NLAST) THEN                                       ZILFLW     70
            KSET=10                                                     ZILFLW     71
         ENDIF                                                          ZILFLW     72
C          KSET= 1   2   3   4   5   6   7   8   9  10  11              ZILFLW     73
         GOTO (670,680,690,700,710,720,730,750,740,760,790), KSET       ZILFLW     74
C                                                                       ZILFLW     75
C             DETAIL GENERATOR BUS                                      ZILFLW     76
C                                                                       ZILFLW     77
  670    KK=K+K                                                         ZILFLW     78
         CRBUS=0.0                                                      ZILFLW     79
         CIBUS=0.0                                                      ZILFLW     80
         CDLK=0.0                                                       ZILFLW     81
         CQLK=0.0                                                       ZILFLW     82
         BMWK=0.0                                                       ZILFLW     83
         BMXK=0.0                                                       ZILFLW     84
         NGCTF=NTHG(K+1)-NTHG(K)                                        ZILFLW     85
         NTHGI=NTHG(K)                                                  ZILFLW     86
         NLF=NOLD(K)                                                    ZILFLW     87
         DO 675 J=1,NGCTF                                               ZILFLW     88
         NTHGI=NTHGI+1                                                  ZILFLW     89
         CRBUS=CRBUS+CDG(1,NTHGI)                                       ZILFLW     90
  675    CIBUS=CIBUS+CDG(2,NTHGI)                                       ZILFLW     91
         VOLT1=REAL(VOLT(K))                                            ZILFLW     92
         VOLT2=AIMAG(VOLT(K))                                           ZILFLW     93
         PDGK=VOLT1*CRBUS+VOLT2*CIBUS                                   ZILFLW     94
         PQGK=VOLT2*CRBUS-VOLT1*CIBUS                                   ZILFLW     95
         IF(NLBS.NE.0)THEN                                              ZILFLW     96
            NTHLK=NTHL(1,K)                                             ZILFLW     97
            IF(NTHLK.NE.0)THEN                                          ZILFLW     98
               JNL=JDNLL(NTHLK)                                         ZILFLW     99
               CDLK=DDAT(JNL+4)                                         ZILFLW    100
               CQLK=DDAT(JNL+5)                                         ZILFLW    101
               BMWK=VOLT1*CDLK+VOLT2*CQLK                               ZILFLW    102
               BMXK=VOLT2*CDLK-VOLT1*CQLK                               ZILFLW    103
            ENDIF                                                       ZILFLW    104
         ENDIF                                                          ZILFLW    105
         IMACH=NTHM(2,K)                                                ZILFLW    106
         IF(IMACH.EQ.0)GOTO 678                                         ZILFLW    107
 679     CONTINUE                                                       ZILFLW    108
            IF(IMACH.GT.0)THEN                                          ZILFLW    109
            JMYV=JVIMO(IMACH)                                           ZILFLW    110
            CMR=CDM(JMYV+8)                                             ZILFLW    111
            CMI=CDM(JMYV+9)                                             ZILFLW    112
            PRLMOT=VOLT1*CMR+VOLT2*CMI                                  ZILFLW    113
            PIMMOT=VOLT2*CMR-VOLT1*CMI                                  ZILFLW    114
            BMWK=BMWK-PRLMOT                                            ZILFLW    115
            BMWK=BMWK-PIMMOT                                            ZILFLW    116
            ENDIF                                                       ZILFLW    117
         IMACH=NEXTIM(IMACH)                                            ZILFLW    118
         IF(IMACH.NE.0)GOTO 679                                         ZILFLW    119
 678     CONTINUE                                                       ZILFLW    120
C                                                                       ZILFLW    121
         ASSIGN 689 TO LBACK                                            ZILFLW    122
         GOTO 850                                                       ZILFLW    123
  689    CONTINUE                                                       ZILFLW    124
C                                                                       ZILFLW    125
         NTHSRK=NTHSR(3,K)                                              ZILFLW    126
         IF(NTHSRK.NE.0)BLX=BLX+BSVC(NTHSRK)                            ZILFLW    127
         IF(LDEB)THEN                                                   ZILFLW    128
            I3=K*3                                                      ZILFLW    129
      WRITE(IUD6,960) NOLD(K),INAME(I3-2),INAME(I3-1),INAME(I3)         ZILFLW    130
     &      ,GLX,BLX,VOLT(K)                                            ZILFLW    131
         ENDIF                                                          ZILFLW    132
         CRO=VOLT1*GLX+BLX*VOLT2-CRO                                    ZILFLW    133
         CIO=VOLT2*GLX-VOLT1*BLX-CIO                                    ZILFLW    134
         PWK=VOLT1*CRO+VOLT2*CIO                                        ZILFLW    135
         PQK=VOLT2*CRO-VOLT1*CIO                                        ZILFLW    136
         PWDF=PDGK-PWK+BMWK                                             ZILFLW    137
         PQDF=PQGK-PQK+BMXK                                             ZILFLW    138
         IF(LDEB)THEN                                                   ZILFLW    139
            I3=K*3                                                      ZILFLW    140
      WRITE(IUD6,980) NLF,INAME(I3-2),INAME(I3-1),INAME(I3),K,CRBUS     ZILFLW    141
     +,CIBUS,PDGK,PQGK,CDLK,CQLK,BMWK,BMXK,PWDF,PQDF,VOLT(K)            ZILFLW    142
         ENDIF                                                          ZILFLW    143
            PDSUM=PDSUM+PWDF                                            ZILFLW    144
            QDSUM=QDSUM+PQDF                                            ZILFLW    145
       GOTO 790                                                         ZILFLW    146
C                                                                       ZILFLW    147
C  CHECK CONSTANT FLUX GENERATOR BUS                                    ZILFLW    148
C                                                                       ZILFLW    149
  680    KK=K+K                                                         ZILFLW    150
         NTHGI=NT+K-IPNODE                                              ZILFLW    151
         NLF=NOLD(K)                                                    ZILFLW    152
         CRBUS=CDG(1,NTHGI)                                             ZILFLW    153
         CIBUS=CDG(2,NTHGI)                                             ZILFLW    154
         CDLK=0.0                                                       ZILFLW    155
         CQLK=0.0                                                       ZILFLW    156
         BMWK=0.0                                                       ZILFLW    157
         BMXK=0.0                                                       ZILFLW    158
         VOLT1=REAL(VOLT(K))                                            ZILFLW    159
         VOLT2=AIMAG(VOLT(K))                                           ZILFLW    160
         PDGK=VOLT1*CRBUS+VOLT2*CIBUS                                   ZILFLW    161
         PQGK=VOLT2*CRBUS-VOLT1*CIBUS                                   ZILFLW    162
         IF(NLBS.NE.0)THEN                                              ZILFLW    163
            NTHLK=NTHL(1,K)                                             ZILFLW    164
            IF(NTHLK.NE.0)THEN                                          ZILFLW    165
               JNL=JDNLL(NTHLK)                                         ZILFLW    166
               CDLK=DDAT(JNL+4)                                         ZILFLW    167
               CQLK=DDAT(JNL+5)                                         ZILFLW    168
               BMWK=VOLT1*CDLK+VOLT2*CQLK                               ZILFLW    169
               BMXK=VOLT2*CDLK-VOLT1*CQLK                               ZILFLW    170
            ENDIF                                                       ZILFLW    171
         ENDIF                                                          ZILFLW    172
         IMACH=NTHM(2,K)                                                ZILFLW    173
         IF(IMACH.EQ.0)GOTO 684                                         ZILFLW    174
 683     CONTINUE                                                       ZILFLW    175
            IF(IMACH.GT.0)THEN                                          ZILFLW    176
            JMYV=JVIMO(IMACH)                                           ZILFLW    177
            CMR=CDM(JMYV+8)                                             ZILFLW    178
            CMI=CDM(JMYV+9)                                             ZILFLW    179
            PRLMOT=VOLT1*CMR+VOLT2*CMI                                  ZILFLW    180
            PIMMOT=VOLT2*CMR-VOLT1*CMI                                  ZILFLW    181
            BMWK=BMWK-PRLMOT                                            ZILFLW    182
            BMWK=BMWK-PIMMOT                                            ZILFLW    183
            ENDIF                                                       ZILFLW    184
         IMACH=NEXTIM(IMACH)                                            ZILFLW    185
         IF(IMACH.NE.0)GOTO 683                                         ZILFLW    186
 684     CONTINUE                                                       ZILFLW    187
C                                                                       ZILFLW    188
         ASSIGN 685 TO LBACK                                            ZILFLW    189
         GOTO 850                                                       ZILFLW    190
  685    CONTINUE                                                       ZILFLW    191
C                                                                       ZILFLW    192
         NTHSRK=NTHSR(3,K)                                              ZILFLW    193
         IF(NTHSRK.EQ.0)GOTO 688                                        ZILFLW    194
         BLX=BLX+BSVC(NTHSRK)                                           ZILFLW    195
  688    CONTINUE                                                       ZILFLW    196
         IF(LDEB)THEN                                                   ZILFLW    197
            I3=K*3                                                      ZILFLW    198
      WRITE(IUD6,960) NOLD(K),INAME(I3-2),INAME(I3-1),INAME(I3)         ZILFLW    199
     &      ,GLX,BLX,VOLT(K)                                            ZILFLW    200
         ENDIF                                                          ZILFLW    201
         CRO=VOLT1*GLX+BLX*VOLT2-CRO                                    ZILFLW    202
         CIO=VOLT2*GLX-VOLT1*BLX-CIO                                    ZILFLW    203
         PWK=VOLT1*CRO+VOLT2*CIO                                        ZILFLW    204
         PQK=VOLT2*CRO-VOLT1*CIO                                        ZILFLW    205
         PWDF=PDGK-PWK+BMWK                                             ZILFLW    206
         PQDF=PQGK-PQK+BMXK                                             ZILFLW    207
         IF(LDEB)THEN                                                   ZILFLW    208
            I3=K*3                                                      ZILFLW    209
      WRITE(IUD6,980) NLF,INAME(I3-2),INAME(I3-1),INAME(I3),K,CRBUS     ZILFLW    210
     +,CIBUS,PDGK,PQGK,CDLK,CQLK,BMWK,BMXK,PWDF,PQDF,VOLT(K)            ZILFLW    211
         ENDIF                                                          ZILFLW    212
C           IF(K.EQ.NMSK) THEN                                          ZILFLW    213
            PDSUM=PDSUM+PWDF                                            ZILFLW    214
            QDSUM=QDSUM+PQDF                                            ZILFLW    215
       GOTO 790                                                         ZILFLW    216
C                                                                       ZILFLW    217
C  CHECK MOTOR LOAD BUS                                                 ZILFLW    218
C                                                                       ZILFLW    219
  690    KK=K+K                                                         ZILFLW    220
         NLF=NOLD(K)                                                    ZILFLW    221
         NTHLK=NTHL(1,K)                                                ZILFLW    222
         BMWK=0.0                                                       ZILFLW    223
         BMXK=0.0                                                       ZILFLW    224
         VOLT1=REAL(VOLT(K))                                            ZILFLW    225
         VOLT2=AIMAG(VOLT(K))                                           ZILFLW    226
         IF(NTHLK.NE.0)THEN                                             ZILFLW    227
            JNL=JDNLL(NTHLK)                                            ZILFLW    228
            CDLK=DDAT(JNL+4)                                            ZILFLW    229
            CQLK=DDAT(JNL+5)                                            ZILFLW    230
            BMWK=VOLT1*CDLK+VOLT2*CQLK                                  ZILFLW    231
            BMXK=VOLT2*CDLK-VOLT1*CQLK                                  ZILFLW    232
         ENDIF                                                          ZILFLW    233
         IMACH=NTHM(2,K)                                                ZILFLW    234
         IF(IMACH.EQ.0)GOTO 694                                         ZILFLW    235
 693     CONTINUE                                                       ZILFLW    236
            IF(IMACH.GT.0)THEN                                          ZILFLW    237
            JMYV=JVIMO(IMACH)                                           ZILFLW    238
            CMR=CDM(JMYV+8)                                             ZILFLW    239
            CMI=CDM(JMYV+9)                                             ZILFLW    240
            PRLMOT=VOLT1*CMR+VOLT2*CMI                                  ZILFLW    241
            PIMMOT=VOLT2*CMR-VOLT1*CMI                                  ZILFLW    242
            BMWK=BMWK-PRLMOT                                            ZILFLW    243
            BMWK=BMWK-PIMMOT                                            ZILFLW    244
            ENDIF                                                       ZILFLW    245
         IMACH=NEXTIM(IMACH)                                            ZILFLW    246
         IF(IMACH.NE.0)GOTO 693                                         ZILFLW    247
 694     CONTINUE                                                       ZILFLW    248
C                                                                       ZILFLW    249
         ASSIGN 695 TO LBACK                                            ZILFLW    250
         GOTO 850                                                       ZILFLW    251
  695    CONTINUE                                                       ZILFLW    252
C                                                                       ZILFLW    253
         NTHSRK=NTHSR(3,K)                                              ZILFLW    254
         IF(NTHSRK.NE.0)BLX=BLX+BSVC(NTHSRK)                            ZILFLW    255
         IF(LDEB)THEN                                                   ZILFLW    256
            I3=K*3                                                      ZILFLW    257
      WRITE(IUD6,960) NOLD(K),INAME(I3-2),INAME(I3-1),INAME(I3)         ZILFLW    258
     &      ,GLX,BLX,VOLT(K)                                            ZILFLW    259
         ENDIF                                                          ZILFLW    260
         CRO=VOLT1*GLX+BLX*VOLT2-CRO                                    ZILFLW    261
         CIO=VOLT2*GLX-VOLT1*BLX-CIO                                    ZILFLW    262
         PWK=VOLT1*CRO+VOLT2*CIO                                        ZILFLW    263
         PQK=VOLT2*CRO-VOLT1*CIO                                        ZILFLW    264
         PWDF=-PWK+BMWK                                                 ZILFLW    265
         PQDF=-PQK+BMXK                                                 ZILFLW    266
         IF(LDEB)THEN                                                   ZILFLW    267
            I3=K*3                                                      ZILFLW    268
      WRITE(IUD6,1020) NLF,INAME(I3-2),INAME(I3-1),INAME(I3),K,CDLK     ZILFLW    269
     +,CQLK,BMWK,BMXK,PWDF,PQDF,VOLT(K)                                 ZILFLW    270
         ENDIF                                                          ZILFLW    271
            PDSUM=PDSUM+PWDF                                            ZILFLW    272
            QDSUM=QDSUM+PQDF                                            ZILFLW    273
       GOTO 790                                                         ZILFLW    274
C                                                                       ZILFLW    275
C  CHECK SVC BUS                                                        ZILFLW    276
C                                                                       ZILFLW    277
  700    KK=K+K                                                         ZILFLW    278
         NLF=NOLD(K)                                                    ZILFLW    279
         NTHLK=NTHL(1,K)                                                ZILFLW    280
         BMWK=0.0                                                       ZILFLW    281
         BMXK=0.0                                                       ZILFLW    282
         VOLT1=REAL(VOLT(K))                                            ZILFLW    283
         VOLT2=AIMAG(VOLT(K))                                           ZILFLW    284
         IF(NTHLK.NE.0)THEN                                             ZILFLW    285
            JNL=JDNLL(NTHLK)                                            ZILFLW    286
            CDLK=DDAT(JNL+4)                                            ZILFLW    287
            CQLK=DDAT(JNL+5)                                            ZILFLW    288
            BMWK=VOLT1*CDLK+VOLT2*CQLK                                  ZILFLW    289
            BMXK=VOLT2*CDLK-VOLT1*CQLK                                  ZILFLW    290
         ENDIF                                                          ZILFLW    291
C                                                                       ZILFLW    292
         ASSIGN 705 TO LBACK                                            ZILFLW    293
         GOTO 850                                                       ZILFLW    294
  705    CONTINUE                                                       ZILFLW    295
C                                                                       ZILFLW    296
         NTHSRK=NTHSR(3,K)                                              ZILFLW    297
         BLX=BLX+BSVC(NTHSRK)                                           ZILFLW    298
         NTHSRK=NTHSR(3,K)                                              ZILFLW    299
         IF(LDEB)THEN                                                   ZILFLW    300
            I3=K*3                                                      ZILFLW    301
      WRITE(IUD6,960) NOLD(K),INAME(I3-2),INAME(I3-1),INAME(I3)         ZILFLW    302
     &      ,GLX,BLX,VOLT(K)                                            ZILFLW    303
         ENDIF                                                          ZILFLW    304
C                                                                       ZILFLW    305
         CRO=VOLT1*GLX+BLX*VOLT2-CRO                                    ZILFLW    306
         CIO=VOLT2*GLX-VOLT1*BLX-CIO                                    ZILFLW    307
         PWK=VOLT1*CRO+VOLT2*CIO                                        ZILFLW    308
         PQK=VOLT2*CRO-VOLT1*CIO                                        ZILFLW    309
         PWDF=-PWK+BMWK                                                 ZILFLW    310
         PQDF=-PQK+BMXK                                                 ZILFLW    311
         IF(LDEB)THEN                                                   ZILFLW    312
            I3=K*3                                                      ZILFLW    313
      WRITE(IUD6,1020) NLF,INAME(I3-2),INAME(I3-1),INAME(I3),K,CDLK     ZILFLW    314
     +,CQLK,BMWK,BMXK,PWDF,PQDF,VOLT(K)                                 ZILFLW    315
         ENDIF                                                          ZILFLW    316
            PDSUM=PDSUM+PWDF                                            ZILFLW    317
            QDSUM=QDSUM+PQDF                                            ZILFLW    318
       GOTO 790                                                         ZILFLW    319
C                                                                       ZILFLW    320
C  CHECK RANI BUSES                                                     ZILFLW    321
C                                                                       ZILFLW    322
  710    KK=K+K                                                         ZILFLW    323
         NLF=NOLD(K)                                                    ZILFLW    324
         NTHLK=NTHL(1,K)                                                ZILFLW    325
         BMWK=0.0                                                       ZILFLW    326
         BMXK=0.0                                                       ZILFLW    327
         VOLT1=REAL(VOLT(K))                                            ZILFLW    328
         VOLT2=AIMAG(VOLT(K))                                           ZILFLW    329
         IF(NTHLK.NE.0)THEN                                             ZILFLW    330
            JNL=JDNLL(NTHLK)                                            ZILFLW    331
            CDLK=DDAT(JNL+4)                                            ZILFLW    332
            CQLK=DDAT(JNL+5)                                            ZILFLW    333
            BMWK=VOLT1*CDLK+VOLT2*CQLK                                  ZILFLW    334
            BMXK=VOLT2*CDLK-VOLT1*CQLK                                  ZILFLW    335
         ENDIF                                                          ZILFLW    336
C                                                                       ZILFLW    337
         ASSIGN 715 TO LBACK                                            ZILFLW    338
         GOTO 850                                                       ZILFLW    339
  715    CONTINUE                                                       ZILFLW    340
C                                                                       ZILFLW    341
         NTHSRK=NTHSR(3,K)                                              ZILFLW    342
         IF(NTHSRK.NE.0)BLX=BLX+BSVC(NTHSRK)                            ZILFLW    343
         IF(LDEB)THEN                                                   ZILFLW    344
            I3=K*3                                                      ZILFLW    345
      WRITE(IUD6,960) NOLD(K),INAME(I3-2),INAME(I3-1),INAME(I3)         ZILFLW    346
     &      ,GLX,BLX,VOLT(K)                                            ZILFLW    347
         ENDIF                                                          ZILFLW    348
C                                                                       ZILFLW    349
         CRO=VOLT1*GLX+BLX*VOLT2-CRO                                    ZILFLW    350
         CIO=VOLT2*GLX-VOLT1*BLX-CIO                                    ZILFLW    351
         PWK=VOLT1*CRO+VOLT2*CIO                                        ZILFLW    352
         PQK=VOLT2*CRO-VOLT1*CIO                                        ZILFLW    353
         PWDF=-PWK+BMWK                                                 ZILFLW    354
         PQDF=-PQK+BMXK                                                 ZILFLW    355
         IF(LDEB)THEN                                                   ZILFLW    356
            I3=K*3                                                      ZILFLW    357
      WRITE(IUD6,1020) NLF,INAME(I3-2),INAME(I3-1),INAME(I3),K,CDLK     ZILFLW    358
     +,CQLK,BMWK,BMXK,PWDF,PQDF,VOLT(K)                                 ZILFLW    359
         ENDIF                                                          ZILFLW    360
            PDSUM=PDSUM+PWDF                                            ZILFLW    361
            QDSUM=QDSUM+PQDF                                            ZILFLW    362
       GOTO 790                                                         ZILFLW    363
C                                                                       ZILFLW    364
C     CKECK STP BUSES                                                   ZILFLW    365
C                                                                       ZILFLW    366
  720    KK=K+K                                                         ZILFLW    367
         NLF=NOLD(K)                                                    ZILFLW    368
         NTHLK=NTHL(1,K)                                                ZILFLW    369
         BMWK=0.0                                                       ZILFLW    370
         BMXK=0.0                                                       ZILFLW    371
         VOLT1=REAL(VOLT(K))                                            ZILFLW    372
         VOLT2=AIMAG(VOLT(K))                                           ZILFLW    373
         IF(NTHLK.NE.0)THEN                                             ZILFLW    374
            JNL=JDNLL(NTHLK)                                            ZILFLW    375
            CDLK=DDAT(JNL+4)                                            ZILFLW    376
            CQLK=DDAT(JNL+5)                                            ZILFLW    377
            BMWK=VOLT1*CDLK+VOLT2*CQLK                                  ZILFLW    378
            BMXK=VOLT2*CDLK-VOLT1*CQLK                                  ZILFLW    379
         ENDIF                                                          ZILFLW    380
C                                                                       ZILFLW    381
         ASSIGN 725 TO LBACK                                            ZILFLW    382
         GOTO 850                                                       ZILFLW    383
  725    CONTINUE                                                       ZILFLW    384
C                                                                       ZILFLW    385
         NTHSRK=NTHSR(3,K)                                              ZILFLW    386
         IF(NTHSRK.NE.0)BLX=BLX+BSVC(NTHSRK)                            ZILFLW    387
         IF(LDEB)THEN                                                   ZILFLW    388
            I3=K*3                                                      ZILFLW    389
      WRITE(IUD6,960) NOLD(K),INAME(I3-2),INAME(I3-1),INAME(I3)         ZILFLW    390
     &      ,GLX,BLX,VOLT(K)                                            ZILFLW    391
         ENDIF                                                          ZILFLW    392
C                                                                       ZILFLW    393
         CRO=VOLT1*GLX+BLX*VOLT2-CRO                                    ZILFLW    394
         CIO=VOLT2*GLX-VOLT1*BLX-CIO                                    ZILFLW    395
         PWK=VOLT1*CRO+VOLT2*CIO                                        ZILFLW    396
         PQK=VOLT2*CRO-VOLT1*CIO                                        ZILFLW    397
         PWDF=-PWK+BMWK                                                 ZILFLW    398
         PQDF=-PQK+BMXK                                                 ZILFLW    399
         IF(LDEB)THEN                                                   ZILFLW    400
            I3=K*3                                                      ZILFLW    401
      WRITE(IUD6,1020) NLF,INAME(I3-2),INAME(I3-1),INAME(I3),K,CDLK     ZILFLW    402
     +,CQLK,BMWK,BMXK,PWDF,PQDF,VOLT(K)                                 ZILFLW    403
         ENDIF                                                          ZILFLW    404
            PDSUM=PDSUM+PWDF                                            ZILFLW    405
            QDSUM=QDSUM+PQDF                                            ZILFLW    406
       GOTO 790                                                         ZILFLW    407
C                                                                       ZILFLW    408
C     CKECK SDB BUSES                                                   ZILFLW    409
C                                                                       ZILFLW    410
  730    KK=K+K                                                         ZILFLW    411
         NLF=NOLD(K)                                                    ZILFLW    412
         NTHLK=NTHL(1,K)                                                ZILFLW    413
         BMWK=0.0                                                       ZILFLW    414
         BMXK=0.0                                                       ZILFLW    415
         VOLT1=REAL(VOLT(K))                                            ZILFLW    416
         VOLT2=AIMAG(VOLT(K))                                           ZILFLW    417
         IF(NTHLK.NE.0)THEN                                             ZILFLW    418
            JNL=JDNLL(NTHLK)                                            ZILFLW    419
            CDLK=DDAT(JNL+4)                                            ZILFLW    420
            CQLK=DDAT(JNL+5)                                            ZILFLW    421
            BMWK=VOLT1*CDLK+VOLT2*CQLK                                  ZILFLW    422
            BMXK=VOLT2*CDLK-VOLT1*CQLK                                  ZILFLW    423
         ENDIF                                                          ZILFLW    424
C                                                                       ZILFLW    425
         ASSIGN 735 TO LBACK                                            ZILFLW    426
         GOTO 850                                                       ZILFLW    427
  735    CONTINUE                                                       ZILFLW    428
C                                                                       ZILFLW    429
         NTHSRK=NTHSR(3,K)                                              ZILFLW    430
         IF(NTHSRK.NE.0)BLX=BLX+BSVC(NTHSRK)                            ZILFLW    431
         IF(LDEB)THEN                                                   ZILFLW    432
            I3=K*3                                                      ZILFLW    433
      WRITE(IUD6,960) NOLD(K),INAME(I3-2),INAME(I3-1),INAME(I3)         ZILFLW    434
     &      ,GLX,BLX,VOLT(K)                                            ZILFLW    435
         ENDIF                                                          ZILFLW    436
C                                                                       ZILFLW    437
         CRO=VOLT1*GLX+BLX*VOLT2-CRO                                    ZILFLW    438
         CIO=VOLT2*GLX-VOLT1*BLX-CIO                                    ZILFLW    439
         PWK=VOLT1*CRO+VOLT2*CIO                                        ZILFLW    440
         PQK=VOLT2*CRO-VOLT1*CIO                                        ZILFLW    441
         PWDF=-PWK+BMWK                                                 ZILFLW    442
         PQDF=-PQK+BMXK                                                 ZILFLW    443
         IF(LDEB)THEN                                                   ZILFLW    444
            I3=K*3                                                      ZILFLW    445
      WRITE(IUD6,1020) NLF,INAME(I3-2),INAME(I3-1),INAME(I3),K,CDLK     ZILFLW    446
     +,CQLK,BMWK,BMXK,PWDF,PQDF,VOLT(K)                                 ZILFLW    447
         ENDIF                                                          ZILFLW    448
            PDSUM=PDSUM+PWDF                                            ZILFLW    449
            QDSUM=QDSUM+PQDF                                            ZILFLW    450
        GOTO 790                                                        ZILFLW    451
C                                                                       ZILFLW    452
C             CHECK NON-LINEAR LOAD BUS                                 ZILFLW    453
C                                                                       ZILFLW    454
  740    KK=K+K                                                         ZILFLW    455
         JK=K-IDBNOX+1                                                  ZILFLW    456
         JNL=JDNLL(JK)                                                  ZILFLW    457
         CDLK=DDAT(JNL+4)                                               ZILFLW    458
         CQLK=DDAT(JNL+5)                                               ZILFLW    459
         VOLT1=REAL(VOLT(K))                                            ZILFLW    460
         VOLT2=AIMAG(VOLT(K))                                           ZILFLW    461
         BMWK=VOLT1*CDLK+VOLT2*CQLK                                     ZILFLW    462
         BMXK=VOLT2*CDLK-VOLT1*CQLK                                     ZILFLW    463
C                                                                       ZILFLW    464
         ASSIGN 745 TO LBACK                                            ZILFLW    465
         GOTO 850                                                       ZILFLW    466
  745    CONTINUE                                                       ZILFLW    467
C                                                                       ZILFLW    468
         IF(LDEB)THEN                                                   ZILFLW    469
             I3=K*3                                                     ZILFLW    470
      WRITE(IUD6,960) NOLD(K),INAME(I3-2),INAME(I3-1),INAME(I3)         ZILFLW    471
     &      ,GLX,BLX,VOLT(K)                                            ZILFLW    472
         ENDIF                                                          ZILFLW    473
         CRO=VOLT1*GLX+BLX*VOLT2-CRO                                    ZILFLW    474
         CIO=VOLT2*GLX-VOLT1*BLX-CIO                                    ZILFLW    475
         PWK=VOLT1*CRO+VOLT2*CIO                                        ZILFLW    476
         PQK=VOLT2*CRO-VOLT1*CIO                                        ZILFLW    477
         PWDF=-PWK+BMWK                                                 ZILFLW    478
         PQDF=-PQK+BMXK                                                 ZILFLW    479
         IF(LDEB)THEN                                                   ZILFLW    480
            I3=K*3                                                      ZILFLW    481
      WRITE(IUD6,1020) NLF,INAME(I3-2),INAME(I3-1),INAME(I3),K,CDLK     ZILFLW    482
     +,CQLK,BMWK,BMXK,PWDF,PQDF,VOLT(K)                                 ZILFLW    483
         ENDIF                                                          ZILFLW    484
            PDSUM=PDSUM+PWDF                                            ZILFLW    485
            QDSUM=QDSUM+PQDF                                            ZILFLW    486
       GOTO 790                                                         ZILFLW    487
C                                                                       ZILFLW    488
C  CHECK THE CONVERTER BUS                                              ZILFLW    489
C                                                                       ZILFLW    490
  750    KK=K+K                                                         ZILFLW    491
         LM=K-ILNODX+1                                                  ZILFLW    492
         NLF=NOLD(K)                                                    ZILFLW    493
         VOLT1=REAL(VOLT(K))                                            ZILFLW    494
         VOLT2=AIMAG(VOLT(K))                                           ZILFLW    495
C                                                                       ZILFLW    496
         ASSIGN 755 TO LBACK                                            ZILFLW    497
         GOTO 850                                                       ZILFLW    498
  755    CONTINUE                                                       ZILFLW    499
C                                                                       ZILFLW    500
         IF(LDEB)THEN                                                   ZILFLW    501
            I3=K*3                                                      ZILFLW    502
      WRITE(IUD6,960) NOLD(K),INAME(I3-2),INAME(I3-1),INAME(I3)         ZILFLW    503
     &      ,GLX,BLX,VOLT(K)                                            ZILFLW    504
         ENDIF                                                          ZILFLW    505
         CRO=VOLT1*GLX+BLX*VOLT2-CRO                                    ZILFLW    506
         CIO=VOLT2*GLX-VOLT1*BLX-CIO                                    ZILFLW    507
         PWK=VOLT1*CRO+VOLT2*CIO                                        ZILFLW    508
         PQK=VOLT2*CRO-VOLT1*CIO                                        ZILFLW    509
C                                                                       ZILFLW    510
         PA=0.0                                                         ZILFLW    511
         QA=0.0                                                         ZILFLW    512
         DO 881 II1=1,ICDC                                              ZILFLW    513
         JPOSN=IDC(II1)                                                 ZILFLW    514
         IF(JPOSN.EQ.0) GO TO 881                                       ZILFLW    515
         LM1 = IDCBNU(JPOSN)                                            ZILFLW    516
         IF(LM1.EQ.0) GO TO 881                                         ZILFLW    517
         LM2 = IDCBN2(JPOSN)                                            ZILFLW    518
         IF(LM1.EQ.LM) THEN                                             ZILFLW    519
            IF(ICDC.LE.LCDC) THEN                                       ZILFLW    520
               PA=PA+PAHVDC(JPOSN)/PABASE                               ZILFLW    521
               QA=QA+QAHVDC(JPOSN)/PABASE                               ZILFLW    522
            ELSE                                                        ZILFLW    523
               VR1=DCEA(LM1)                                            ZILFLW    524
               VI1=DCEB(LM1)                                            ZILFLW    525
               IF(LM2.EQ.0) THEN                                        ZILFLW    526
                  VR2=0.0                                               ZILFLW    527
                  VI2=0.0                                               ZILFLW    528
               ELSE                                                     ZILFLW    529
                  VR2=DCEA(LM2)                                         ZILFLW    530
                  VI2=DCEB(LM2)                                         ZILFLW    531
               ENDIF                                                    ZILFLW    532
               VREAL=VR1-VR2                                            ZILFLW    533
               VIMAG=VI1-VI2                                            ZILFLW    534
               VM2=VREAL*VREAL+VIMAG*VIMAG                              ZILFLW    535
               PA=PA+(PAHVDC(JPOSN)*(1.0+(VR2*VREAL+VI2*VIMAG)/VM2)+    ZILFLW    536
     &            (QAHVDC(JPOSN)+Q2HVDC(JPOSN))*                        ZILFLW    537
     &            (VR2*VIMAG-VI2*VREAL)/VM2)/PABASE                     ZILFLW    538
               QA=QA+((QAHVDC(JPOSN)+Q2HVDC(JPOSN))*                    ZILFLW    539
     &            (1.0+(VR2*VREAL+VI2*VIMAG)/VM2)-                      ZILFLW    540
     &            PAHVDC(JPOSN)*(VR2*VIMAG-VI2*VREAL)/VM2)/PABASE       ZILFLW    541
            ENDIF                                                       ZILFLW    542
         ENDIF                                                          ZILFLW    543
         IF(LM2.EQ.0) GO TO 881                                         ZILFLW    544
         IF(LM2.EQ.LM) THEN                                             ZILFLW    545
            VR1=DCEA(LM1)                                               ZILFLW    546
            VI1=DCEB(LM1)                                               ZILFLW    547
            VR2=DCEA(LM2)                                               ZILFLW    548
            VI2=DCEB(LM2)                                               ZILFLW    549
            VREAL=VR1-VR2                                               ZILFLW    550
            VIMAG=VI1-VI2                                               ZILFLW    551
            VM2=VREAL*VREAL+VIMAG*VIMAG                                 ZILFLW    552
            PA=PA-(PAHVDC(JPOSN)*(VR2*VREAL+VI2*VIMAG)+                 ZILFLW    553
     &         (QAHVDC(JPOSN)+Q2HVDC(JPOSN))*                           ZILFLW    554
     &         (VR2*VIMAG-VI2*VREAL))/VM2/PABASE                        ZILFLW    555
            QA=QA-((QAHVDC(JPOSN)+Q2HVDC(JPOSN))*                       ZILFLW    556
     &         (VR2*VREAL+VI2*VIMAG)-PAHVDC(JPOSN)*                     ZILFLW    557
     &         (VR2*VIMAG-VI2*VREAL))/VM2/PABASE                        ZILFLW    558
         ENDIF                                                          ZILFLW    559
 881     CONTINUE                                                       ZILFLW    560
         PWDF=-PWK+PA                                                   ZILFLW    561
         PQDF=-PQK+QA                                                   ZILFLW    562
         IF(LDEB)WRITE(IUD6,1030) PA,QA                                 ZILFLW    563
C                                                                       ZILFLW    564
         IF(LDEB)THEN                                                   ZILFLW    565
            I3=K*3                                                      ZILFLW    566
      WRITE(IUD6,1000) NLF,INAME(I3-2),INAME(I3-1),INAME(I3),K          ZILFLW    567
     &,PWDF,PQDF,VOLT(K)                                                ZILFLW    568
         ENDIF                                                          ZILFLW    569
            PDSUM=PDSUM+PWDF                                            ZILFLW    570
            QDSUM=QDSUM+PQDF                                            ZILFLW    571
       GOTO 790                                                         ZILFLW    572
C                                                                       ZILFLW    573
C  CHECK THE REMAINING BUS                                              ZILFLW    574
C                                                                       ZILFLW    575
  760 KK=K+K                                                            ZILFLW    576
      NLF=NOLD(K)                                                       ZILFLW    577
      VOLT1=REAL(VOLT(K))                                               ZILFLW    578
      VOLT2=AIMAG(VOLT(K))                                              ZILFLW    579
C                                                                       ZILFLW    580
         ASSIGN 765 TO LBACK                                            ZILFLW    581
         GOTO 850                                                       ZILFLW    582
  765    CONTINUE                                                       ZILFLW    583
C                                                                       ZILFLW    584
      IF(LDEB)THEN                                                      ZILFLW    585
         I3=K*3                                                         ZILFLW    586
         WRITE(IUD6,960) NOLD(K),INAME(I3-2),INAME(I3-1),INAME(I3)      ZILFLW    587
     &   ,GLX,BLX,VOLT(K)                                               ZILFLW    588
      ENDIF                                                             ZILFLW    589
      CRO=VOLT1*GLX+BLX*VOLT2-CRO                                       ZILFLW    590
      CIO=VOLT2*GLX-VOLT1*BLX-CIO                                       ZILFLW    591
      PWK=VOLT1*CRO+VOLT2*CIO                                           ZILFLW    592
      PQK=VOLT2*CRO-VOLT1*CIO                                           ZILFLW    593
      PWDF=-PWK                                                         ZILFLW    594
      PQDF=-PQK                                                         ZILFLW    595
      IF(LDEB)THEN                                                      ZILFLW    596
         I3=K*3                                                         ZILFLW    597
      WRITE(IUD6,1000) NLF,INAME(I3-2),INAME(I3-1),INAME(I3),K          ZILFLW    598
     &,PWDF,PQDF,VOLT(K)                                                ZILFLW    599
      ENDIF                                                             ZILFLW    600
            PDSUM=PDSUM+PWDF                                            ZILFLW    601
            QDSUM=QDSUM+PQDF                                            ZILFLW    602
C                                                                       ZILFLW    603
  790 CONTINUE                                                          ZILFLW    604
C                                                                       ZILFLW    605
          ICONT=ICONT+1                                                 ZILFLW    606
          IF (ICONT.GT.NPBUS) THEN                                      ZILFLW    607
             GOTO 880                                                   ZILFLW    608
          ELSE                                                          ZILFLW    609
             GOTO 500                                                   ZILFLW    610
          ENDIF                                                         ZILFLW    611
C      ENDIF                                                            ZILFLW    612
C  800 CONTINUE                                                         ZILFLW    613
C  810 CONTINUE                                                         ZILFLW    614
C      GOTO 870                                                         ZILFLW    615
C                                                                       ZILFLW    616
  850 CONTINUE                                                          ZILFLW    617
         CRO=0.0                                                        ZILFLW    618
         CIO=0.0                                                        ZILFLW    619
         IM=NEQBLT(KPBUS)                                               ZILFLW    620
  860    ITOL=NZTOB(IM)                                                 ZILFLW    621
         IF(ITOL.GT.0)THEN                                              ZILFLW    622
            GLX=-REAL(NZYOFF(IM))                                       ZILFLW    623
            BLX=AIMAG(NZYOFF(IM))                                       ZILFLW    624
            ER=REAL(VOLT(ITOL))                                         ZILFLW    625
            EI=AIMAG(VOLT(ITOL))                                        ZILFLW    626
            CRO=CRO+GLX*ER+BLX*EI                                       ZILFLW    627
            CIO=CIO+GLX*EI-BLX*ER                                       ZILFLW    628
            IF(LDEB)THEN                                                ZILFLW    629
               I3=ITOL*3                                                ZILFLW    630
      WRITE(IUD6,1950) K,ITOL,NOLD(K),NOLD(ITOL),INAME(I3-2),INAME(I3-1)ZILFLW    631
     +         ,INAME(I3),GLX,BLX,CRO,CIO,ER,EI                         ZILFLW    632
            ENDIF                                                       ZILFLW    633
         ENDIF                                                          ZILFLW    634
         IM=LSTOFF(IM)                                                  ZILFLW    635
         IF(IM.NE.0)GOTO 860                                            ZILFLW    636
         GLX=GEQB(KPBUS)                                                ZILFLW    637
         BLX=BEQB(KPBUS)                                                ZILFLW    638
         IF (LDEB) WRITE(IUD6,1960) K,NOLD(K),GLX,BLX                   ZILFLW    639
         GOTO LBACK                                                     ZILFLW    640
C                                                                       ZILFLW    641
C  CALCULATE THE CHANNEL CONTENT                                        ZILFLW    642
C                                                                       ZILFLW    643
  880 CONTINUE                                                          ZILFLW    644
      PFR=PDSUM/NLPLL                                                   ZILFLW    645
      QFR=QDSUM/NLPLL                                                   ZILFLW    646
      ER=REAL(VOLT(IPBNOF))                                             ZILFLW    647
      EI=AIMAG(VOLT(IPBNOF))                                            ZILFLW    648
      EB=EI*EI+ER*ER                                                    ZILFLW    649
      CR=(PFR*ER+QFR*EI)/EB                                             ZILFLW    650
      CI=(PFR*EI-QFR*ER)/EB                                             ZILFLW    651
      CMAGFR=CR*CR+CI*CI                                                ZILFLW    652
      IF(ABS(CMAGFR).GT.1.E-6)THEN                                      ZILFLW    653
         ANGFR=57.29578*ATAN2(CI,CR)                                    ZILFLW    654
      ELSE                                                              ZILFLW    655
         ANGFR=0.0                                                      ZILFLW    656
      ENDIF                                                             ZILFLW    657
      RFR=PFR/CMAGFR                                                    ZILFLW    658
      XFR=QFR/CMAGFR                                                    ZILFLW    659
      CMAGFR=SQRT(CMAGFR)                                               ZILFLW    660
C                                                                       ZILFLW    661
      RETURN                                                            ZILFLW    662
C                                                                       ZILFLW    663
  960 FORMAT (1X,'K=',I5,1X,3A4,'GLX=',E12.4,1X,'BLX=',E12.4            ZILFLW    664
     &,1X,'EREAL=',E12.4,1X,'EIMAG=',E12.4)                             ZILFLW    665
  980 FORMAT (1X,I5,1X,3A4,I6,12F8.3)                                   ZILFLW    666
 1000 FORMAT (1X,I5,1X,3A4,I6,64X,4F8.3)                                ZILFLW    667
 1020 FORMAT (1X,I5,1X,3A4,I6,32X,8F8.3)                                ZILFLW    668
 1030 FORMAT (1X,'PTHVDC=',F10.5,' QTHVDC=',F10.5)                      ZILFLW    669
 1950 FORMAT (1X,'K=',I5,' ITOL=',I5,' FRM=',I5,' TO=',I5,1X,3A4,1X,    ZILFLW    670
     +'GLX=',G12.5,1X,'BLX=',G12.5,1X,'CRO=',G12.5,1X,'CIO=',           ZILFLW    671
     +G12.5,/,10X,'EREAL=',G12.5,1X,'EIMAG=',G12.5)                     ZILFLW    672
 1960 FORMAT (1X,'K=',I5,' FRM=',I5,' GLX=',G12.5,' BLX=',G12.5)        ZILFLW    673
      END                                                               ZILFLW    674
                                                                        ZILFLW    675
